aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2021-12-10 11:27:06 +0200
committerQt Cherry-pick Bot <cherrypick_bot@qt-project.org>2022-01-07 07:24:49 +0000
commit18a3cb62e8fe37d71901b362024640141ad17208 (patch)
tree993022fb36492fa902754093f2241603388c5c2b
parent034eb3d080f27d71017b62d60fb8c439fd12704e (diff)
Provisioning: Install up-to-date google Chrome for Wasm auto tests
Task-number: QTBUG-99062 Change-Id: Ib9ebcad5d9700c09d01d1ba23fed716d3a3cae4b Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org> Reviewed-by: Ville-Pekka Karhu <ville-pekka.karhu@qt.io> Reviewed-by: Morten Johan Sørvig <morten.sorvig@qt.io> Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io> (cherry picked from commit 71e7ed17a2c12c67b583d69869004078eb1937ed) Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
-rwxr-xr-xcoin/provisioning/qtci-linux-openSUSE-15.3-x86_64/80-install-chrome.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/80-install-chrome.sh b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/80-install-chrome.sh
new file mode 100755
index 00000000..857fe860
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-15.3-x86_64/80-install-chrome.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+set -ex
+
+# This script will install up-to-date google Chrome needed for Webassembly auto tests.
+
+# shellcheck source=../common/unix/DownloadURL.sh
+source "${BASH_SOURCE%/*}/../common/unix/DownloadURL.sh"
+
+# Webassembly auto tests run requires latest Chrome. Let's use the latest stable one which means we can't cache this
+sudo zypper ar http://dl.google.com/linux/chrome/rpm/stable/x86_64 Google-Chrome
+
+# Add the Google public signing key
+externalUrl="https://dl.google.com/linux/linux_signing_key.pub"
+Download "$externalUrl" "/tmp/linux_signing_key.pub"
+sudo rpm --import /tmp/linux_signing_key.pub
+
+# Update the repo cache of zypper and install Chrome
+sudo zypper ref -f
+sudo zypper -nq install --no-confirm google-chrome-stable